Package org.eclipse.jdt.ui.actions

## Class NavigateActionGroup

- java.lang.Object
- - org.eclipse.ui.actions.ActionGroup
  - - org.eclipse.jdt.ui.actions.NavigateActionGroup

    public class NavigateActionGroup
    extends ActionGroup

Action group that adds the open and show actions to a context menu and the action bar's navigate menu. This action group reuses the `OpenEditorActionGroup` and `OpenViewActionGroup`.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`NavigateActionGroup​(IViewPart part)` Creates a new `NavigateActionGroup`.
`NavigateActionGroup​(IWorkbenchPartSite site, ISelectionProvider specialSelectionProvider)` Creates a new `NavigateActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars​(IActionBars actionBars)`
`void` `fillContextMenu​(IMenuManager menu)`
`IAction` `getOpenAction()` Returns the open action managed by this action group.
`void` `setContext​(ActionContext context)`
`void` `updateActionBars()`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NavigateActionGroup

    public NavigateActionGroup​(IViewPart part)

Creates a new `NavigateActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

#### NavigateActionGroup

    public NavigateActionGroup​(IWorkbenchPartSite site,
                               ISelectionProvider specialSelectionProvider)

Creates a new `NavigateActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `specialSelectionProvider` - the selection provider used instead of the sites selection provider.
Since:
  3.4

### Method Detail

#### getOpenAction

    public IAction getOpenAction()

Returns the open action managed by this action group.

Returns:
  the open action. Returns `null` if the group doesn't provide any open action

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `ActionGroup`

#### fillActionBars

    public void fillActionBars​(IActionBars actionBars)

Overrides:
  `fillActionBars` in class `ActionGroup`

#### fillContextMenu

    public void fillContextMenu​(IMenuManager menu)

Overrides:
  `fillContextMenu` in class `ActionGroup`

#### setContext

    public void setContext​(ActionContext context)

Overrides:
  `setContext` in class `ActionGroup`

#### updateActionBars

    public void updateActionBars()

Overrides:
  `updateActionBars` in class `ActionGroup`